com.pixelmed.network

## Class CMoveResponseCommandMessage

- java.lang.Object
- - com.pixelmed.network.CMoveResponseCommandMessage

    public class CMoveResponseCommandMessage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CMoveResponseCommandMessage(AttributeList list)`
`CMoveResponseCommandMessage(java.lang.String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, java.lang.String errorComment)`
`CMoveResponseCommandMessage(java.lang.String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, int nRemaining, int nCompleted, int nFailed, int nWarning)`

### Method Summary

Methods
`java.lang.String` `getAffectedSOPClassUID()`
`byte[]` `getBytes()`
`int` `getCommandField()`
`java.lang.String` `getErrorComment()`
`int` `getGroupLength()`
`int` `getMessageIDBeingRespondedTo()`
`int` `getNumberOfCompletedSuboperations()`
`int` `getNumberOfFailedSuboperations()`
`int` `getNumberOfRemainingSuboperations()`
`int` `getNumberOfWarningSuboperations()`
`AttributeTagAttribute` `getOffendingElement()`
`int` `getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMoveResponseCommandMessage

    public CMoveResponseCommandMessage(AttributeList list)
                                throws DicomException,
                                       java.io.IOException

Parameters:
  `list` -
Throws:
  `java.io.IOException`
  `DicomException`

#### CMoveResponseCommandMessage

    public CMoveResponseCommandMessage(java.lang.String affectedSOPClassUID,
                               int messageIDBeingRespondedTo,
                               int status,
                               boolean dataSetPresent,
                               AttributeTagAttribute offendingElement,
                               java.lang.String errorComment)
                                throws DicomException,
                                       java.io.IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
  `offendingElement` -
  `errorComment` -
Throws:
  `java.io.IOException`
  `DicomException`

#### CMoveResponseCommandMessage

    public CMoveResponseCommandMessage(java.lang.String affectedSOPClassUID,
                               int messageIDBeingRespondedTo,
                               int status,
                               boolean dataSetPresent,
                               int nRemaining,
                               int nCompleted,
                               int nFailed,
                               int nWarning)
                                throws DicomException,
                                       java.io.IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
  `nRemaining` -
  `nCompleted` -
  `nFailed` -
  `nWarning` -
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getGroupLength

    public int getGroupLength()

#### getAffectedSOPClassUID

    public java.lang.String getAffectedSOPClassUID()

#### getCommandField

    public int getCommandField()

#### getMessageIDBeingRespondedTo

    public int getMessageIDBeingRespondedTo()

#### getStatus

    public int getStatus()

#### getNumberOfRemainingSuboperations

    public int getNumberOfRemainingSuboperations()

#### getNumberOfCompletedSuboperations

    public int getNumberOfCompletedSuboperations()

#### getNumberOfFailedSuboperations

    public int getNumberOfFailedSuboperations()

#### getNumberOfWarningSuboperations

    public int getNumberOfWarningSuboperations()

#### getOffendingElement

    public AttributeTagAttribute getOffendingElement()

#### getErrorComment

    public java.lang.String getErrorComment()

#### getBytes

    public byte[] getBytes()